[ARVADOS] updated: 1.3.0-2148-gec7e61f02
Git user
git at public.arvados.org
Wed Feb 12 20:35:05 UTC 2020
Summary of changes:
build/run-tests.sh | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
via ec7e61f02512543afa09254cad2906f9195597ab (commit)
via 9f567f87a1d0973989012c514508ecb624f847ab (commit)
from a083a260dcfe1de66f75aaf60ae16cf4c761074e (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit ec7e61f02512543afa09254cad2906f9195597ab
Author: Tom Clegg <tom at tomclegg.ca>
Date: Wed Feb 12 15:34:42 2020 -0500
python deps
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at tomclegg.ca>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 5b2315bdf..edd929a17 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -1100,7 +1100,7 @@ install_deps() {
do_install cmd/arvados-server go
do_install sdk/cli
do_install sdk/perl
- do_install sdk/python pip
+ do_install sdk/python pip "$VENVDIR/bin/"
do_install sdk/python pip "$VENV3DIR/bin/"
do_install sdk/ruby
do_install services/api
@@ -1124,7 +1124,7 @@ install_all() {
dir=${p%:py3}
if [[ ${dir} = ${p} ]]; then
if [[ -z ${skip[python2]} ]]; then
- do_install ${dir} pip
+ do_install ${dir} pip "$VENVDIR/bin/"
fi
elif [[ -n ${PYTHON3} ]]; then
if [[ -z ${skip[python3]} ]]; then
@@ -1164,7 +1164,7 @@ test_all() {
dir=${p%:py3}
if [[ ${dir} = ${p} ]]; then
if [[ -z ${skip[python2]} ]]; then
- do_test ${dir} pip
+ do_test ${dir} pip "$VENVDIR/bin/"
fi
elif [[ -n ${PYTHON3} ]]; then
if [[ -z ${skip[python3]} ]]; then
commit 9f567f87a1d0973989012c514508ecb624f847ab
Author: Tom Clegg <tom at tomclegg.ca>
Date: Wed Feb 12 15:20:44 2020 -0500
install missing python dep
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at tomclegg.ca>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index ea6008864..5b2315bdf 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -647,8 +647,8 @@ install_env() {
. "$VENVDIR/bin/activate"
# Needed for run_test_server.py which is used by certain (non-Python) tests.
- pip install --no-cache-dir PyYAML future \
- || fatal "pip install PyYAML failed"
+ pip install --no-cache-dir PyYAML future httplib2 \
+ || fatal "`pip install PyYAML future httplib2` failed"
# Preinstall libcloud if using a fork; otherwise nodemanager "pip
# install" won't pick it up by default.
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list